<div class="grid p-3">
  <div class="col-12 mt-5 md:col-6 md:col-offset-3 md:mt-8">
    <div class="flex flex-column">
      <h2 class="text-muted text-center">Sign Up</h2>

      <form (ngSubmit)="guardar()" [formGroup]="miFormulario">
        <mat-form-field appearance="outline" class="w-100 mt-2">
          <mat-label>DNI</mat-label>
          <input matInput placeholder="DNI" formControlName="dni" required>
          <mat-error *ngIf="miFormulario.controls['dni'].errors?.['required']">DNI es requerido</mat-error>
          <mat-error *ngIf="miFormulario.controls['dni'].hasError('minlength')">DNI minimo 6 caracteres</mat-error>
        </mat-form-field>
        <mat-form-field appearance="outline" class="w-100 mt-2">
          <mat-label>Nombre Completo</mat-label>
          <input matInput placeholder="Nombre Completo" formControlName="nombre" required>
          <mat-error *ngIf="miFormulario.controls['nombre'].errors?.['required']">Nombre es requerido</mat-error>
          <mat-error *ngIf="miFormulario.controls['nombre'].hasError('minlength')">Nombre minimo 3 caracteres
          </mat-error>
        </mat-form-field>
        <mat-form-field appearance="outline" class="w-100 mt-2">
          <mat-label>Email</mat-label>
          <input matInput placeholder="email" formControlName="email" required>
          <mat-error *ngIf="miFormulario.controls['email'].errors?.['required']">Email is required</mat-error>
          <mat-error
            *ngIf="!miFormulario.controls['email'].errors?.['required'] && miFormulario.controls['email'].enabled">Email
            invalido
          </mat-error>
        </mat-form-field>
        <mat-form-field appearance="outline" class="w-100 mt-1">
          <mat-label>Categoía</mat-label>
          <mat-select formControlName="tipoPersona" required>
            <mat-option value=1>Alumno</mat-option>
            <mat-option value=2>Profesor</mat-option>
            <mat-option value=2>Otro</mat-option>
          </mat-select>
          <mat-error *ngIf="miFormulario.controls['tipoPersona'].errors?.['required']">Categoria es requirido
          </mat-error>
        </mat-form-field>

        <div class="text-center mt-2">
          <button mat-raised-button color="primary" type="submit" class="w-100">
            Guardar
          </button>
        </div>
      </form>
    </div>
  </div>
</div>
